%define major		3.1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		xerces-c
Epoch:		1
Version:	3.1.4
%define subrel 1
Release:	%mkrel 2
Summary:	Xerces-C++ validating XML parser
License:	Apache
Group:		System/Libraries
URL:		http://xerces.apache.org/xerces-c/
Source0:	http://apache.mirrors.ovh.net/ftp.apache.org/dist//xerces/c/3/sources/%{name}-%{version}.tar.xz
Patch0: 	xerces-c-3.1.4-CVE-2017-12627.patch
BuildRequires:	curl-devel
BuildRequires:	zlib-devel
BuildRequires:	libicu-devel
BuildRequires:	icu

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%package -n	%{libname}
Summary:	Xerces-c library
Group:		System/Libraries

%description -n %{libname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the shared xerces-c library.

%package -n	%{develname}
Summary:	Header files for Xerces-C++ validating XML parser
Group:		Development/C++
Requires:	%{libname} >= %{epoch}:%{version}-%{release}
Provides:	xerces-c-devel = %{epoch}:%{version}-%{release}
Provides:	libxerces-c-devel = %{epoch}:%{version}-%{release}
Conflicts:	%{mklibname xerces-c 0 -d}
Conflicts:	%{mklibname xerces-c 28 -d}

%description -n	%{develname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains development files such as header files you can use to
develop XML applications with Xerces-C++.

%package	doc
Summary:	Documentation for Xerces-C++ validating XML parser
Group:		Documentation
BuildArch:	noarch
Obsoletes:	xerces-c-manual

%description	doc
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the documentation for Xerces-C++.

%prep
%setup -q
%autopatch -p1

%build
#rm -f config.cache
#libtoolize --copy --force; aclocal -I m4; autoheader; automake -a -c -f; autoconf

%configure2_5x \
    --disable-static \
    --enable-netaccessor-curl \
    --enable-transcoder-icu \
%ifarch %{ix86}
    --disable-sse2 \
%endif
    --enable-msgloader-icu
%make_build

# disable tests for now
#%%check
#make check

%install
%make_install

# cleanup
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib%{name}-%{major}.so

%files -n %{develname}
%{_includedir}/xercesc
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc CREDITS LICENSE doc/*


%changelog
* Fri Mar 02 2018 mrambo3501 <mrambo3501> 1:3.1.4-2.1.mga6
  (not released yet)
+ Revision: 1206072
- add upstream patch which fixes CVE-2017-12627 (mga#22677)

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1:3.1.4-2.mga6
+ Revision: 1092814
- Rebuild for icu-58.2

* Wed Jun 29 2016 luigiwalser <luigiwalser> 1:3.1.4-1.mga6
+ Revision: 1038120
- 3.1.4 (fixes CVE-2016-4463)
- remove upstreamed CVE-2016-2099 patch

* Wed May 18 2016 luigiwalser <luigiwalser> 1:3.1.3-3.mga6
+ Revision: 1016819
- add patch from debian to fix CVE-2016-2099

* Fri May 13 2016 shlomif <shlomif> 1:3.1.3-2.mga6
+ Revision: 1014954
- Rebuild for new ICU

* Thu Feb 25 2016 luigiwalser <luigiwalser> 1:3.1.3-1.mga6
+ Revision: 978973
- 3.1.3 (fixes CVE-2016-0729)

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1:3.1.2-4.mga6
+ Revision: 917931
- rebuild for icu

* Sat Aug 22 2015 akien <akien> 1:3.1.2-3.mga6
+ Revision: 868084
- Rebuild for gcc 5.2.1

* Fri Jul 24 2015 cjw <cjw> 1:3.1.2-2.mga6
+ Revision: 856742
- rebuild for icu 55

* Fri Mar 20 2015 daviddavid <daviddavid> 1:3.1.2-1.mga5
+ Revision: 819021
- new version: 3.1.2, fix CVE-2015-0252 (mga#15538)
- update Url and Source Url

* Wed Oct 15 2014 umeabot <umeabot> 1:3.1.1-16.mga5
+ Revision: 746946
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.1.1-15.mga5
+ Revision: 690591
- Mageia 5 Mass Rebuild

* Sat Apr 05 2014 wally <wally> 1:3.1.1-14.mga5
+ Revision: 611826
- rebuild for new icu

* Mon Oct 21 2013 umeabot <umeabot> 1:3.1.1-13.mga4
+ Revision: 539176
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 1:3.1.1-12.mga4
+ Revision: 491538
- Disable tests
+ fwang <fwang>
- rebuild for new icu
+ tv <tv>
- rebuild for new icu

* Sun May 26 2013 fwang <fwang> 1:3.1.1-10.mga4
+ Revision: 427994
- rebuild for new icu

* Mon Jan 14 2013 umeabot <umeabot> 1:3.1.1-9.mga3
+ Revision: 386752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 1:3.1.1-8.mga3
+ Revision: 316660
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 1:3.1.1-7.mga3
+ Revision: 314778
- rebuild for new icu

* Sun Oct 14 2012 ennael <ennael> 1:3.1.1-6.mga3
+ Revision: 305617
- Documentation group

* Wed May 30 2012 fwang <fwang> 1:3.1.1-5.mga3
+ Revision: 249553
- rebuild for new icu

* Tue Jun 21 2011 fwang <fwang> 1:3.1.1-4.mga2
+ Revision: 111153
- rebuild for new icu

* Sat Jan 15 2011 ahmad <ahmad> 1:3.1.1-3.mga1
+ Revision: 19721
- drop old/unneeded scriptlets
- drop unused patch
- imported package xerces-c


* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 1:3.1.1-1mdv2011.0
+ Revision: 554383
- update to new version 3.1.1
- only disable sse2 on i586 nodes

  + Pascal Terjan <pterjan@mandriva.org>
    - Disable SSE2 (#59966)

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 1:3.1.0-2mdv2010.1
+ Revision: 526123
- rebuild for new icu

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 1:3.1.0-1mdv2010.1
+ Revision: 499637
- New version 3.1.0

* Sun Aug 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.1-1mdv2010.0
+ Revision: 422637
- 3.0.1
- nuke upstream implemented patches
- nuke redundant patches
- add patches from suse
- spec file cleanup
- fix deps

* Sun Aug 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.8.0-3mdv2010.0
+ Revision: 422544
- P4: security fix for CVE-2009-1885

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1:2.8.0-2mdv2009.0
+ Revision: 266081
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Helio Chissini de Castro <helio@mandriva.com> 1:2.8.0-1mdv2009.0
+ Revision: 197274
- Disable nrproc compilation
- Added debug compiling check turned off by default
- Added xqilla content patches ( needed for xqilla 2.2 )
- New upstream version
- Compile with pthreads
- Fixed devel package name
- fixed proper soname

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 29 2007 Thierry Vignaud <tv@mandriva.org> 1:2.7.0-7mdv2008.1
+ Revision: 113935
- fix invalid group

* Fri Nov 23 2007 Thierry Vignaud <tv@mandriva.org> 1:2.7.0-6mdv2008.1
+ Revision: 111613
- rebuild for new libicu

* Mon May 07 2007 Helio Chissini de Castro <helio@mandriva.com> 1:2.7.0-5mdv2008.0
+ Revision: 24815
- Obsoletes xerces-c packages with samples binaries. This is not necessary
- Fixed 64 build
- Get rid of nls, use ICU


* Tue Sep 19 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-19 14:46:32 (62357)
- Most of packages like pathan or xquery depends on private headers. If we want avoid include an internal copy of xerces-c in every package, we need install base impl headers. This will enable, along with a post 4.2 db, the construction of dbxml and reduce size of many applications with code embedded

* Wed Aug 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-08-23 20:57:52 (57755)
- fix group

* Wed Aug 16 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-16 15:23:43 (56359)
- Fixed x86_64 issues

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 13:18:46 (56183)
- Raise epoch to make proper devel to be installed. Last sonam was wrong named 26, since 26 is major, and minor is 0

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 06:18:36 (56161)
- No distributed compilation

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 06:10:46 (56155)
- import xerces-c-2.7.0-1mdv2007.0

* Mon Dec 13 2004 Warly <warly@mandrakesoft.com> 2.6.0-2mdk
- rebuild without libxerces25 dependencies

* Wed Aug 18 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040818.1mdk
- update to latest CVS version

* Fri Jul 23 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040723.1mdk
- go to version 20040723104641 for bug 10387

* Tue Jul 20 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040720.1mdk
- new version (based on CVS version)

